Package Details: dupeguru 4.0.3-5

Git Clone URL: https://aur.archlinux.org/dupeguru.git (read-only)
Package Base: dupeguru
Description: Find duplicate files on your system
Upstream URL: https://dupeguru.voltaicideas.net/
Licenses: BSD
Conflicts: dupeguru-me, dupeguru-pe, dupeguru-se
Provides: dupeguru
Submitter: dangoldbj
Maintainer: dangoldbj
Last Packager: dangoldbj
Votes: 69
Popularity: 1.188662
First Submitted: 2016-10-25 11:55
Last Updated: 2018-05-15 05:48

Latest Comments

1 2 3 4 5 6 ... Next › Last »

cybertron commented on 2018-09-16 14:34

hm both tips doesn't work for me it fails by resolving deps hsaudiotag3k the aur versions seems to be available for python 3.6 only?

Batou commented on 2018-09-13 12:42

I haven't had enough time to look at these issues in depth but none of the suggested solutions below worked for me. What worked for me was basically:

$ git clone https://github.com/hsoft/dupeguru.git
#note bellow: make will fail twice because of dependencies. It will build fine on  the 3rd time
$ make
$ make 
$ make
$ make run  #to run the app

unfortunately this will not make a package so you can't install it but it will run if you absolutely need to use dupeguru right away. This is an unmaintained package that's full of issues and temporary fixes. It's a giant mess and it breaks often. Unfortunately, there are no good alternatives.

fuan_k commented on 2018-08-21 20:50

I came up with a quick fix you can add to the PKGBUILD:

prepare(){
  cd "$srcdir"
  sed -i '277 a\\            try:' src/hscommon/build.py
  sed -i '279s/^/    /' src/hscommon/build.py
  sed -i '280s/^/    /' src/hscommon/build.py
  sed -i '281s/^/    /' src/hscommon/build.py
  sed -i '281a\\            except StopIteration:' src/hscommon/build.py
  sed -i '282a\\                return' src/hscommon/build.py
}

It's basically changing this part of the script with a try/except statement:

    def iter_by_three(it):
        while True:
            version = next(it)
            date = next(it)
            description = next(it)
            yield version, date, description

into the following:

    def iter_by_three(it):
        while True:
            try:
                version = next(it)
                date = next(it)
                description = next(it)
            except StopIteration:
                return
            yield version, date, description

I successfully built afterward and now DupeGuru is working again fine with Python3.7 (so far).

This should be reported upstream, as it's an incompatibility bug with Pyhton 3.7. But the maintainer will have to fix the hsaudiotag3k-1.1.3 dependency issue in the PKGBUILD also... the way it handles it right now doesn't seem very reliable as it fetches from PyPi instead of the AUR?

atescula commented on 2018-08-21 20:20

Ok, thanks. Any idea how to bring this software back to work ? I am desperate, I use it mainly to identify tons of duplicate photos. Or maybe a good linux alternative for this task ? Appreciate assistance :-)

fuan_k commented on 2018-08-21 20:04

After copying hsaudiotag like so:

cd /usr/lib/python3.6/site-packages
sudo cp -r hsaudiotag3k-1.1.3-py3.6.egg-info ../../python3.7/site-packages
sudo cp -r hsaudiotag ../../python3.7/site-packages

I get another error:

[...]
Generating Help
Traceback (most recent call last):
  File "/var/yay_cache/dupeguru/src/hscommon/build.py", line 278, in iter_by_three
    version = next(it)
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "build.py", line 376, in <module>
    main()
  File "build.py", line 373, in main
    build_normal(ui, options.dev)
  File "build.py", line 336, in build_normal
    build_qt(dev)
  File "build.py", line 169, in build_qt
    build_help()
  File "build.py", line 183, in build_help
    sphinxgen.gen(help_basepath, help_destpath, changelog_path, tixurl, confrepl, conftmpl, changelogtmpl)                                                             
  File "/var/yay_cache/dupeguru/src/hscommon/sphinxgen.py", line 47, in gen
    changelog = read_changelog_file(changelogpath)
  File "/var/yay_cache/dupeguru/src/hscommon/build.py", line 288, in read_changelog_file                                                                               
    for version, date_str, description in iter_by_three(iter(splitted)):
RuntimeError: generator raised StopIteration

Apparently, the StopIteration exception changed in pyhton 3.7: https://www.python.org/dev/peps/pep-0479/

fuan_k commented on 2018-08-21 19:49

@atescula: this is also related to python having been upgraded from 3.6 to 3.7.

I get another error:

==> Starting build()...
Looking in links: deps
Requirement already satisfied: Send2Trash>=1.3.0 in /usr/lib/python3.7/site-packages (from -r requirements.txt (line 1)) (1.5.0)
Requirement already satisfied: sphinx>=1.2.2 in /usr/lib/python3.7/site-packages (from -r requirements.txt (line 2)) (1.7.6)
Requirement already satisfied: polib>=1.0.4 in /usr/lib/python3.7/site-packages (from -r requirements.txt (line 3)) (1.1.0)
Collecting hsaudiotag3k>=1.1.3 (from -r requirements.txt (line 4))
  Url 'deps' is ignored. It is either a non-existing path or lacks a specific scheme.
  Could not find a version that satisfies the requirement hsaudiotag3k>=1.1.3 (from -r requirements.txt (line 4)) (from versions: )
No matching distribution found for hsaudiotag3k>=1.1.3 (from -r requirements.txt (line 4))
==> ERROR: A failure occurred in build().
    Aborting...
Error making: dupeguru

atescula commented on 2018-08-19 08:45

After updating Manjaro KDE today from 17.1.11 to 17.1.12 dupeguru not starting anymore. Also no success trying to reinstall.

Here is the output when starting from terminal:

[andrei@manjaro-desktop ~]$ dupeguru Traceback (most recent call last): File "/bin/dupeguru", line 49, in <module> sys.exit(main()) File "/bin/dupeguru", line 35, in main from qt.app import DupeGuru File "/usr/share/dupeguru/qt/app.py", line 22, in <module> from core.app import AppMode, DupeGuru as DupeGuruModel File "/usr/share/dupeguru/core/app.py", line 24, in <module> from . import se, me, pe File "/usr/share/dupeguru/core/pe/init.py", line 1, in <module> from . import block, cache, exif, iphoto_plist, matchblock, matchexif, photo, prioritize, result_table, scanner # noqa File "/usr/share/dupeguru/core/pe/block.py", line 9, in <module> from ._block import NoBlocksError, DifferentBlockCountError, avgdiff, getblocks2 # NOQA ModuleNotFoundError: No module named 'core.pe._block' [andrei@manjaro-desktop ~]$ </module></module></module></module></module>

SpotlightKid commented on 2018-08-11 21:31

@AmbientChaos: It's a Python 3.7 incompatibility.

AmbientChaos commented on 2018-08-10 15:23

I'm getting an error during building, does anyone know what I can do to fix this?

https://pastebin.com/TPWLaa26

karcher commented on 2018-05-28 10:11

I'm getting an error: error: failed to commit transaction (conflicting files)

Whole output: https://pastebin.com/ExiexgYn